﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections;
using System.Windows.Forms;

namespace ExplorerBarLite
{
    public class GroupsCollection : CollectionBase
    {
        private ExplorerBar Control;

        internal GroupsCollection(ExplorerBar Control)
        {
            this.Control = Control;
        }

        public ExplorerBarGroup this[int Index]
        {
            get
            {
                return (ExplorerBarGroup)List[Index];
            }
        }

        public bool Contains(ExplorerBarGroup group)
        {
            return List.Contains(group);
        }

        public int Add(ExplorerBarGroup group)
        {
            int i;
            i = List.Add(group);
            Control.CalculateLayout();
            return i;
        }

        public void Remove(ExplorerBarGroup group)
        {
            List.Remove(group);
            Control.CalculateLayout();
        }
    }
}
