﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

using Unitronics.ComConfig.Lite.Globals;

namespace Unitronics.ComConfig.Lite.Presenters {
    interface IEthernetView {

        event ValueChangedEventHandler<string> IpAddressChanged;
        event ValueChangedEventHandler<int> EthRemotePortChanged;
        event ValueChangedEventHandler<Unitronics.ComDriver.EthProtocol> EthernetProtocolChanged;
        event CancelEventHandler IpAddressValidating;
        event ValueChangedEventHandler<int> TimeoutChanged;
        event ValueChangedEventHandler<int> RetriesChanged;
        event ValueChangedEventHandler<int> UnitIdChanged;
        event ValueChangedEventHandler<string> HostNameChanged;
        event EventHandler Loading;

        void SetSettingsToGUI();
    }
}
